{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load i18n %}
{% load active_tag %}
{% load check_group %}

{% block title %}Disponibilidad para Orden de Servicio{% endblock %}

{% block pagelevelcss %}
<link rel="stylesheet" type="text/css" href="{% static 'css/jquery-layoutday.css' %}">

    <style>
.calendar {
    margin-top:30px;
    height: 1590px;
}
.events div, .title, .subtitle{
    cursor: pointer;
}
    </style>
{% endblock %}

{% block page %}
  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
    <li class="breadcrumb-item">{{ customer.rut }}</li>
    <li class="breadcrumb-item">Red</li>
    <li class="breadcrumb-item active">Extras</li>
  </ol>
  <!-- end breadcrumb -->

   <!-- begin page-header -->
   <h1 class="page-header">Disponibilidad para Orden de Servicio<small> Servicio#{{ service.number }}</small></h1>
   <!-- end page-header -->
    
   <ul class="nav nav-pills mb-2">
    <li class="nav-item {% add_active request 'service-detail' %}">
      <a href="{% url 'service-detail' slug=service.number %}"class="nav-link">
      <span class="d-sm-none">General</span>
      <span class="d-sm-block d-none">General</span>
      </a>
    </li>
    <li class="nav-item {% add_active request 'service-network-detail' %}">
      <a href="{% url 'service-network-detail' slug=service.slug %}" class="nav-link">
      <span class="d-sm-none">Red</span>
      <span class="d-sm-block d-none">Red</span>
      </a>
    </li>
    <!--
    <li class="nav-item {% add_active request 'service-calls' %}">
      <a href="{% url 'service-calls' slug=service.slug %}" class="nav-link">
      <span class="d-sm-none">Registro de Llamadas</span>
      <span class="d-sm-block d-none">Registro de Llamadas</span>
      </a>
    </li>
    -->
    <li class="nav-item {% add_active request 'service-gallery' %}">
      <a href="{% url 'service-gallery' slug=service.slug %}" class="nav-link">
      <span class="d-sm-none">Galería</span>
      <span class="d-sm-block d-none">Galería</span>
      </a>
    </li>
    <li class="nav-item {% add_active request 'service-documents' %}">
      <a href="{% url 'service-documents' slug=service.slug %}" class="nav-link">
      <span class="d-sm-none">Documentos</span>
      <span class="d-sm-block d-none">Documentos</span>
      </a>
    </li>
    <li class="nav-item {% add_active request 'service-extras' %}">
      <a href="{% url 'service-extras' slug=service.slug %}" class="nav-link">
      <span class="d-sm-none">Prefacturación</span>
      <span class="d-sm-block d-none">Prefacturación</span>
      </a>
    </li>
    <li class="nav-item {% add_active request 'service-plan-orders' %}">
      <a href="{% url 'service-plan-orders' slug=service.slug %}" class="nav-link active">
      <span class="d-sm-none">Orden de Servicio</span>
      <span class="d-sm-block d-none">Orden de Servicio</span>
      </a>
    </li>
    </ul>


    <!-- begin row -->
<div class="row">
    <!-- begin col-12 -->
    <div class="col-xl-12 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <h4 class="panel-title">Orden de Servicio</h4>
        <div class="panel-heading-btn">
        <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
        <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
        <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">

<div id="thething">
    <h3 class="text-center" id="calendar-title"></h3>
    <ul class="pager">
       <li><a id="previous-day" href="javascript:void(0)">Anterior</a></li>
       <li><a id="next-day" href="javascript:void(0)">Siguiente</a></li>
    </ul>
<div id="calendar" class="calendar"></div>
<div class="time">
  <ul>
    <li>8:00</li>
    <li class="quarterhour">8:15</li>
    <li class="halfhour">8:30</li>
    <li class="quarterhour">8:45</li>
    <li>9:00</li>
    <li class="quarterhour">9:15</li>
    <li class="halfhour">9:30</li>
    <li class="quarterhour">9:45</li>
    <li>10:00</li>
    <li class="quarterhour">10:15</li>
    <li class="halfhour">10:30</li>
    <li class="quarterhour">10:45</li>
    <li>11:00</li>
    <li class="quarterhour">11:15</li>
    <li class="halfhour">11:30</li>
    <li class="quarterhour">11:45</li>
    <li>12:00</li>
    <li class="quarterhour">12:15</li>
    <li class="halfhour">12:30</li>
    <li class="quarterhour">12:45</li>
    <li>13:00</li>
    <li class="quarterhour">13:15</li>
    <li class="halfhour">13:30</li>
    <li class="quarterhour">13:45</li>
    <li>14:00</li>
    <li class="quarterhour">14:15</li>
    <li class="halfhour">14:30</li>
    <li class="quarterhour">14:45</li>
    <li>15:00</li>
    <li class="quarterhour">15:15</li>
    <li class="halfhour">15:30</li>
    <li class="quarterhour">15:45</li>
    <li>16:00</li>
    <li class="quarterhour">16:15</li>
    <li class="halfhour">16:30</li>
    <li class="quarterhour">16:45</li>
    <li>17:00</li>
    <li class="quarterhour">17:15</li>
    <li class="halfhour">17:30</li>
    <li class="quarterhour">17:45</li>
    <li>18:00</li>
    <li class="quarterhour">18:15</li>
    <li class="halfhour">18:30</li>
    <li class="quarterhour">18:45</li>
    <li>19:00</li>
    <li class="quarterhour">19:15</li>
    <li class="halfhour">19:30</li>
    <li class="quarterhour">19:45</li>
    <li>20:00</li>
    <li class="quarterhour">20:15</li>
    <li class="halfhour">20:30</li>
    <li class="quarterhour">20:45</li>
    <li>21:00</li>
  </ul>
    </div>

</div>

    <hr/>

<form id="select-slot-form" class="form-horizontal" method="post">
  {% csrf_token %}

  <div class="form-group row m-b-15">
    <label for="{{field.auto_id}}" class="col-form-label col-md-3">{{ field.label }}</label>
    <div class="col-sm-9">
{% render_field form.start %}
{% for error in form.start.errors %}
<small class="f-s-12 text-danger">{{ error }}</small>
{% endfor %}
    </div>
  </div>
  <div class="form-group row m-b-15">
    <label for="{{field.auto_id}}" class="col-form-label col-md-3">{{ field.label }}</label>
    <div class="col-sm-9">
{% render_field form.end%}
{% for error in form.end.errors %}
<small class="f-s-12 text-danger">{{ error }}</small>
{% endfor %}
    </div>
  </div>
  <a href="{{ cancel_url }}" class="btn btn-default">Cancelar</a>
</form>

	<div tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" id="upload-modal" class="modal fade bs-example-modal-sm" style="display: none;">
          <div role="document" class="modal-dialog modal-sm">
            <div class="modal-content">
              <div class="modal-header">
                <h4 id="myLargeModalLabel" class="modal-title">Agendando</h4>
              </div>
              <div class="modal-body">
                <p>Se está agendando la orden de servicio. Por favor, espere.</p>
		<div class="loading-demo">
		  <div class="loader-inner pacman">
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
		  </div>
		</div>
              </div>
              <div class="modal-footer">
              </div>
            </div>
          </div>
        </div>

</div>
        <!-- end panel-body -->
        </div>

    </div>
    </div>
{% endblock %}

{% block pageleveljs %}
<script type="text/javascript" src="{% static 'js/jquery-layoutday.js' %}"></script>
<script>
$(document).ready(function(){

avx = [
{% for day, events in avx %}
["{{ day|date:'l j' }}",
[
{% for event in events %}
	{event: {
	    dateStart: new Date({{ event.0.year }}, {{ event.0.month|add:"-1" }}, {{ event.0.day }}, {{ event.0.hour }}, {{ event.0.minute }}, 0, 0),
	    dateEnd: new Date({{ event.1.year }}, {{ event.1.month|add:"-1" }}, {{ event.1.day }}, {{ event.1.hour }}, {{ event.1.minute|add:"-1" }}, 0, 0),
	    title: "{{ event.0.hour }}:{{ event.0|date:'i' }} - {{ event.1.hour }}:{{ event.1|date:'i' }}",
      description: "Click para elegir disponibilidad"
	}
	},
{% endfor %}
]
],
{% endfor %}
];


var layOutDay = function (cal_events){
    $('#calendar').addEvents(cal_events);
};

    $('#calendar').layOutDay({
	'calendar_start': 480,
	'calendar_end': 1260,
	'time_selector': '.time',
    });

layOutDay(window.avx[0][1]);
$('#calendar-title').html(avx[0][0]);

min_index = 0;
max_index = avx.length - 1;
current_index = 0;

nextDay = function(){
    if (current_index < max_index){
	current_index++;
	$('#calendar').clearEvents();
	$('#calendar').addEvents(avx[current_index][1])
	$('#calendar-title').html(avx[current_index][0]);

$('.event').on('click', function(){
    var start = this.getAttribute('data-start');
    var end = this.getAttribute('data-end');
    $("#id_start").val(start);
    $("#id_end").val(end);
    $("#upload-modal").modal();
    $("#select-slot-form").submit();
});


    }
};

previousDay = function(){
    if (current_index > min_index){
	current_index--;
	$('#calendar').clearEvents();
	$('#calendar').addEvents(avx[current_index][1])
	$('#calendar-title').html(avx[current_index][0]);

$('.event').on('click', function(){
    var start = this.getAttribute('data-start');
    var end = this.getAttribute('data-end');
    $("#id_start").val(start);
    $("#id_end").val(end);
    $("#upload-modal").modal();
    $("#select-slot-form").submit();
});


    }
  };

$('#next-day').on('click', nextDay);
$('#previous-day').on('click', previousDay);

$('.event').on('click', function(){
    var start = this.getAttribute('data-start');
    var end = this.getAttribute('data-end');
    $("#id_start").val(start);
    $("#id_end").val(end);
    $("#upload-modal").modal();
    $("#select-slot-form").submit();
});

});

</script>
{% endblock %}
